using System.Threading.Tasks;
using Google.Protobuf.WellKnownTypes;
using Grpc.Core;

namespace Aurora.Services.Signal
{
    public partial class SignalService : Signal.SignalBase
    {
        public override Task<Party> CreateParty(CreatePartyRequest request, ServerCallContext context)
        {
            return base.CreateParty(request, context);
        }

        public override Task<Empty> DeleteParty(DeletePartyRequest request, ServerCallContext context)
        {
            return base.DeleteParty(request, context);
        }

        public override Task<ListPartiesResponse> ListParties(ListPartiesRequest request, ServerCallContext context)
        {
            return base.ListParties(request, context);
        }

        public override Task<Party> GetParty(GetPartyRequest request, ServerCallContext context)
        {
            return base.GetParty(request, context);
        }

        public override Task<Party> UpdateParty(UpdatePartyRequest request, ServerCallContext context)
        {
            return base.UpdateParty(request, context);
        }
    }
}